haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.GIR.Documentation

Description

Parsing of documentation nodes.

Synopsis

- data Documentation = Documentation {
  - rawDocText :: Maybe Text
  - sinceVersion :: Maybe Text
  }
- queryDocumentation :: Element -> Documentation

# Documentation

data Documentation Source #

Documentation for a given element. The documentation text is typically encoded in the gtk-doc format, see https://developer.gnome.org/gtk-doc-manual/ . This can be parsed with `parseGtkDoc`.

Constructors

Documentation |

Fields

- rawDocText :: Maybe Text
- sinceVersion :: Maybe Text

#### Instances

Instances details

Show Documentation Source # |
Instance details Defined in Data.GI.GIR.Documentation Methods showsPrec :: Int -> Documentation -> ShowS Source # show :: Documentation -> String Source # showList :: [Documentation] -> ShowS Source #
Eq Documentation Source # |
Instance details Defined in Data.GI.GIR.Documentation Methods (==) :: Documentation -> Documentation -> Bool Source # (/=) :: Documentation -> Documentation -> Bool Source #
Ord Documentation Source # |

Instance details

Defined in Data.GI.GIR.Documentation

Methods

compare :: Documentation -> Documentation -> Ordering Source #

(<) :: Documentation -> Documentation -> Bool Source #

(<=) :: Documentation -> Documentation -> Bool Source #

(>) :: Documentation -> Documentation -> Bool Source #

(>=) :: Documentation -> Documentation -> Bool Source #

max :: Documentation -> Documentation -> Documentation Source #

min :: Documentation -> Documentation -> Documentation Source #

queryDocumentation :: Element -> Documentation Source #

Parse the documentation node for the given element of the GIR file.